Subject: Re: [homenet] Next steps

From: Wuyts Carl <[email-masked]>
Date: Mon, 2 Jan 2012 08:53:00 +0100

I've the impression that these "Next steps" are just adding (too much??) complexity ??  It seems to be heading into the "mixing" L3 and L2 stuff (and indeed, L2 is not "easier" or "more trivial" than L3, I agree), tunneling, asking all devices to support MSTP ??, needing UI for end-user, ...

Personally, but I might be completely wrong on this, I think the chance for success in this is very small if too much complexity is involved, for sure if you start forcing end-users having to do some (lots of) configuration.  I'm working in an environment, targeting residential CPE deployment, and one of the things to avoid (from operator's perspective) is configuration.  Configuration works very well for techies, but is often to avoid for generic deployment, involving "average" users, at least that's the info I'm getting/seeing from our customer base.

Carl Wuyts

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Michael Richardson
Sent: vrijdag 30 december 2011 18:53
To: [email-masked]
Subject: Re: [homenet] Next steps

>>>>> "Jim" == Jim Gettys <[email-masked]> writes:
    >> It's not simpler. It just looks that way because layer-2 bridging
    >> seems ubiquitous and trivial to layer-3 people. The recent TRILL
    >> work at the IETF demonstrates the limitations of layer-2. The
    >> idea is to make things simpler, and layer-2+MSTP doesn't seem at
    >> all simpler to me. (and I've both designed such networks and
    >> written the code) But, you have simply replaced one routing table
    >> (layer-3, that includes source routing and loop detection) with
    >> another routing table (layer-2, that is flood with pruning, and
    >> no loop detection).

    Jim> And you really don't want random multicast traffic to pollute a
    Jim> wireless network for which it is not intended (given the way
    Jim> 802.11 works, this is a real headache).  A little multicast can
    Jim> ruin your whole day on 802.11; as the bandwidths have gone up,
    Jim> this problem has become increasingly acute (since the
    Jim> transmission rate at which broadcast is constrained hasn't).

So, Russ' suggestion is to have this single layer-2 VLAN among exit routers only, and it would be used by exit routers so that they can get
a packet straight to another exit router.   This layer-2 VLAN would not
be bridged onto any other LAN, so the multicast vs wireless issue does not arise.

However!
It does require that all routers (not just edge routers) implement
layer-2 VLANs with (M)STP.  Up to the "MSTP" part (which we really need), it's true that it's already present in a Linux stack.
What concerns me, more than just that we are invoking a more complicated code path is:
  a) if this can really work, then some people will ask, again and
     again, why not bridge everything, period.  (Your answer is one
     answer)

  b) this really limits everything in the future to being ethernet-like,
     while a layer-3 solution liberates us from that.

-- 
]       He who is tired of Weird Al is tired of life!           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
   Kyoto Plus: watch the video <http://www.youtube.com/watch?v=kzx1ycLXQSE>
	               then sign the petition. 
_______________________________________________
homenet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/homenet